import { ChatInputCommandInteraction, SlashCommandBuilder, Client, PermissionFlagsBits } from "discord.js";
import { basicEmbed } from '../createEmbed'

export const data = new SlashCommandBuilder()
  .setName("clear")
  .setDescription("Clear 1-100 messages")
  .setDefaultMemberPermissions(PermissionFlagsBits.Administrator)
  .addNumberOption(option => option
    .setName('amount')
    .setDescription('The amount of messages to creat')
    .setRequired(true)
  )

export async function execute({ interaction }: { interaction: ChatInputCommandInteraction, client: Client }) {
  const amount = interaction.options.getNumber('amount');

  if (!amount || !interaction.channel || amount < 1 || amount > 100) return await interaction.reply({ embeds: [basicEmbed('The amount must be between 1-100')] });

  if (interaction.channel.isDMBased()) return await interaction.reply({ embeds: [basicEmbed('This command can only be executed inside a guild')], ephemeral: true })
  
  interaction.channel.bulkDelete(amount)

  await interaction.reply({ embeds: [basicEmbed(`Cleared **${amount}** messages`)], ephemeral: true })
}
