import { Events, Client, BaseInteraction } from 'discord.js'

export const name = Events.InteractionCreate

export const execute = async ({ client }: { client: Client }, interaction: BaseInteraction) => {
  if (interaction.isChatInputCommand()) {
    const command = interaction.client.commands.get(interaction.commandName);

    if (!command) {
      return console.error(`No command matching ${interaction.commandName} was found`);
    } else {
      console.info(`${interaction.user.username} executed command ${interaction.commandName}`);
    }

    try {
      await command.execute({ interaction, client });
    } catch (error) {
      console.error(error);

      await interaction.reply({ content: 'There was an error while executing this command!', ephemeral: true });
    }
  }
}
