// https://nuxt.com/docs/api/configuration/nuxt-config
export default defineNuxtConfig({
  ssr: false,
  typescript: {
    typeCheck: true
  },
  nitro: {
    plugins: ['~/server/index.ts']
  },
  modules: [
    '@nuxthq/ui',
    'nuxt-icon',
    '@nuxtjs/eslint-module'
  ],
  app: {
    head: {
      link: [
        { rel: 'apple-touch-icon', sizes: '180x180', href: '/apple-touch-icon.png' },
        { rel: 'icon', sizes: '32x32', type: 'image/png', href: '/favicon-32x32.png' },
        { rel: 'icon', sizes: '16x16', type: 'image/png', href: '/favicon-16x16.png' },
        { rel: 'manifest', href: '/site.webmanifest' }
      ]
    },
    pageTransition: { name: 'page', mode: 'out-in' }
  },
  runtimeConfig: {
    discordClientId: '',
    discordClientSecret: '',
    oauthRedirectUri: 'http://localhost:3000/api/auth',
    jwtSecret: '',
    mongoUrl: '',
    mongoUser: '',
    mongoPass: '',
    public: {
      oauthUrl: 'https://discord.com/api/oauth2/authorize?client_id=1052974736432443432&redirect_uri=http%3A%2F%2Flocalhost%3A3000%2Fapi%2Fauth&response_type=code&scope=identify'
    }
  }
})
