import { Document, Types } from 'mongoose'

export {}

declare global {
  interface IUser extends Document {
    _id: Types.ObjectId,
    username: string,
    usernameType: string,
    discord: {
      id: string,
      username: string,
      avatarHash: string
    },
    minecraft?: {
      uuid: string,
      username: string
    },
    teamInvites: Types.ObjectId[],
    role: {
      admin: boolean,
      moderator: boolean,
    },
    team?: ITeam,
    accessToken?: string
  }

  interface IWhitelist {
    _id: types.ObjectId,
    uuid: string,
    connected: boolean,
    code: string
  }

  interface ITeam {
    _id: types.ObjectId,
    name: string,
    color: string,
    members: IUser[],
    textChannelId: string,
    voiceChannelId: string
  }

  type DiscordUser = {
    id: string,
    username: string,
    discriminator: string,
    global_name: string,
    avatar: string,
    bot?: boolean,
    system?: boolean,
    mfa_enabled?: boolean,
    banner?: string,
    accent_color?: number,
    locale?: string,
    verified?: boolean,
    email?: string,
    flags?: number,
    premium_type?: number,
    public_flags?: number
  }
}
